Manifest-Version: 1.0
Bnd-LastModified: 1717490596967
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Change Tracking Service
Bundle-SymbolicName: com.liferay.change.tracking.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.67.hotfix-5570-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.change.tracking.closure;version="1.0",com.liferay.change.tracking.
 conflict;version="1.1",com.liferay.change.tracking.exception;version=
 "5.3",com.liferay.change.tracking.mapping;version="1.1",com.liferay.c
 hange.tracking.model;version="3.3",com.liferay.change.tracking.servic
 e;version="5.12",com.liferay.change.tracking.service.persistence;vers
 ion="6.3",com.liferay.change.tracking.spi.display;version="2.0",com.l
 iferay.change.tracking.spi.exception;version="1.0",com.liferay.change
 .tracking.spi.listener;version="2.0",com.liferay.change.tracking.spi.
 reference;version="1.0",com.liferay.change.tracking.spi.reference.bui
 lder;version="1.0",com.liferay.change.tracking.spi.resolver;version="
 1.0",com.liferay.change.tracking.spi.resolver.context;version="1.0",c
 om.liferay.change.tracking.spi.search;version="1.0",com.liferay.chang
 e.tracking.store.model;version="2.1",com.liferay.counter.kernel.servi
 ce;version="2.2",com.liferay.expando.kernel.model;version="6.0",com.l
 iferay.expando.kernel.service.persistence;version="3.3",com.liferay.e
 xpando.kernel.util;version="4.0",com.liferay.json.storage.service;ver
 sion="1.3",com.liferay.osgi.service.tracker.collections.list;version=
 "3.0",com.liferay.osgi.service.tracker.collections.map;version="2.3",
 com.liferay.petra.function;version="1.5",com.liferay.petra.lang;versi
 on="1.3",com.liferay.petra.sql.dsl;version="1.2",com.liferay.petra.sq
 l.dsl.ast;version="1.0",com.liferay.petra.sql.dsl.base;version="1.0",
 com.liferay.petra.sql.dsl.expression;version="1.4",com.liferay.petra.
 sql.dsl.query;version="2.0",com.liferay.petra.sql.dsl.query.sort;vers
 ion="1.0",com.liferay.petra.sql.dsl.spi.ast;version="1.0",com.liferay
 .petra.sql.dsl.spi.expression;version="1.4",com.liferay.petra.sql.dsl
 .spi.query;version="2.0",com.liferay.petra.string;version="1.7",com.l
 iferay.portal.aop;version="1.0",com.liferay.portal.background.task.di
 splay;version="1.0",com.liferay.portal.background.task.model;version=
 "3.1",com.liferay.portal.background.task.service;version="1.7",com.li
 feray.portal.configuration.metatype.annotations;version="1.6",com.lif
 eray.portal.configuration.metatype.bnd.util;version="3.0",com.liferay
 .portal.dao.orm.common,com.liferay.portal.dao.orm.custom.sql;version=
 "1.1",com.liferay.portal.kernel.aop;version="1.0",com.liferay.portal.
 kernel.backgroundtask;version="11.0",com.liferay.portal.kernel.backgr
 oundtask.display;version="3.0",com.liferay.portal.kernel.bean;version
 ="10.1",com.liferay.portal.kernel.cache;version="14.0",com.liferay.po
 rtal.kernel.change.tracking;version="2.2",com.liferay.portal.kernel.c
 onfiguration;version="7.0",com.liferay.portal.kernel.dao.db;version="
 12.1",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.po
 rtal.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.exceptio
 n;version="13.1",com.liferay.portal.kernel.json;version="12.0",com.li
 feray.portal.kernel.language;version="11.0",com.liferay.portal.kernel
 .log;version="8.0",com.liferay.portal.kernel.messaging;version="15.0"
 ,com.liferay.portal.kernel.model;version="29.2",com.liferay.portal.ke
 rnel.model.change.tracking;version="3.0",com.liferay.portal.kernel.mo
 del.impl;version="7.2",com.liferay.portal.kernel.module.framework;ver
 sion="1.4",com.liferay.portal.kernel.module.framework.service;version
 ="1.0",com.liferay.portal.kernel.scheduler;version="18.0",com.liferay
 .portal.kernel.scheduler.messaging;version="10.0",com.liferay.portal.
 kernel.search;version="20.1",com.liferay.portal.kernel.search.filter;
 version="1.0",com.liferay.portal.kernel.security.auth;version="6.0",c
 om.liferay.portal.kernel.security.permission;version="6.5",com.lifera
 y.portal.kernel.security.permission.resource;version="2.2",com.lifera
 y.portal.kernel.security.permission.resource.definition;version="1.0"
 ,com.liferay.portal.kernel.service;version="23.0",com.liferay.portal.
 kernel.service.change.tracking;version="1.0",com.liferay.portal.kerne
 l.service.http;version="1.0",com.liferay.portal.kernel.service.permis
 sion;version="5.0",com.liferay.portal.kernel.service.persistence;vers
 ion="21.1",com.liferay.portal.kernel.service.persistence.change.track
 ing;version="1.4",com.liferay.portal.kernel.service.persistence.chang
 e.tracking.helper;version="1.1",com.liferay.portal.kernel.service.per
 sistence.impl;version="4.1",com.liferay.portal.kernel.template;versio
 n="14.1",com.liferay.portal.kernel.transaction;version="8.1",com.life
 ray.portal.kernel.upgrade;version="21.0",com.liferay.portal.kernel.ut
 il;version="59.1",com.liferay.portal.kernel.version;version="1.1",com
 .liferay.portal.search.batch;version="2.0",com.liferay.portal.search.
 model.uid;version="1.1",com.liferay.portal.search.query;version="1.7"
 ,com.liferay.portal.search.spi.model.index.contributor;version="1.2",
 com.liferay.portal.search.spi.model.index.contributor.helper;version=
 "1.0",com.liferay.portal.search.spi.model.query.contributor;version="
 1.1",com.liferay.portal.search.spi.model.query.contributor.helper;ver
 sion="2.0",com.liferay.portal.search.spi.model.registrar;version="2.0
 ",com.liferay.portal.search.spi.model.registrar.contributor;version="
 1.0",com.liferay.portal.servlet.filters;version="1.0",com.liferay.por
 tal.spring.transaction,com.liferay.portal.upgrade.registry;version="5
 .0",javax.servlet,javax.servlet.http,javax.sql,org.osgi.framework;ver
 sion="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Change Tracking
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.7.0
Liferay-Service: true
Private-Package: com.liferay.change.tracking.internal,com.liferay.chan
 ge.tracking.internal.aop,com.liferay.change.tracking.internal.backgro
 und.task,com.liferay.change.tracking.internal.background.task.display
 ,com.liferay.change.tracking.internal.closure,com.liferay.change.trac
 king.internal.configuration,com.liferay.change.tracking.internal.conf
 lict,com.liferay.change.tracking.internal.helper,com.liferay.change.t
 racking.internal.mapping,com.liferay.change.tracking.internal.messagi
 ng,com.liferay.change.tracking.internal.model.listener,com.liferay.ch
 ange.tracking.internal.reference,com.liferay.change.tracking.internal
 .reference.builder,com.liferay.change.tracking.internal.resolver,com.
 liferay.change.tracking.internal.search,com.liferay.change.tracking.i
 nternal.search.spi.model.index.contributor,com.liferay.change.trackin
 g.internal.search.spi.model.query.contributor,com.liferay.change.trac
 king.internal.security.permission.resource,com.liferay.change.trackin
 g.internal.security.permission.resource.definition,com.liferay.change
 .tracking.internal.servlet.filter,com.liferay.change.tracking.interna
 l.spi.reference,com.liferay.change.tracking.internal.spi.resolver,com
 .liferay.change.tracking.internal.upgrade.registry,com.liferay.change
 .tracking.internal.upgrade.v2_0_0,com.liferay.change.tracking.interna
 l.upgrade.v2_0_0.dependencies,com.liferay.change.tracking.internal.up
 grade.v2_1_0,com.liferay.change.tracking.internal.upgrade.v2_1_0.depe
 ndencies,com.liferay.change.tracking.internal.upgrade.v2_3_0,com.life
 ray.change.tracking.internal.upgrade.v2_4_0,com.liferay.change.tracki
 ng.internal.upgrade.v2_5_0,com.liferay.change.tracking.internal.upgra
 de.v2_5_0.dependencies,com.liferay.change.tracking.internal.upgrade.v
 2_6_0,com.liferay.change.tracking.internal.upgrade.v2_6_0.dependencie
 s,com.liferay.change.tracking.internal.upgrade.v2_7_0,com.liferay.cha
 nge.tracking.model.impl,com.liferay.change.tracking.service.base,com.
 liferay.change.tracking.service.http,com.liferay.change.tracking.serv
 ice.impl,com.liferay.change.tracking.service.persistence.impl,com.lif
 eray.change.tracking.service.persistence.impl.constants,resource-acti
 ons
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.closure.CTClosureFactory";uses:="com.liferay.change.
 tracking.closure",osgi.service;objectClass:List<String>="com.liferay.
 change.tracking.internal.CTServiceRegistry";uses:="com.liferay.change
 .tracking.internal",osgi.service;objectClass:List<String>="com.lifera
 y.change.tracking.internal.reference.TableReferenceDefinitionManager"
 ;uses:="com.liferay.change.tracking.internal.reference",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.persist
 ence.CTAutoResolutionInfoPersistence";uses:="com.liferay.change.track
 ing.service.persistence",osgi.service;objectClass:List<String>="com.l
 iferay.change.tracking.service.persistence.CTCollectionPersistence";u
 ses:="com.liferay.change.tracking.service.persistence",osgi.service;o
 bjectClass:List<String>="com.liferay.change.tracking.service.persiste
 nce.CTCollectionTemplatePersistence";uses:="com.liferay.change.tracki
 ng.service.persistence",osgi.service;objectClass:List<String>="com.li
 feray.change.tracking.service.persistence.CTCommentPersistence";uses:
 ="com.liferay.change.tracking.service.persistence",osgi.service;objec
 tClass:List<String>="com.liferay.change.tracking.service.persistence.
 CTEntryPersistence";uses:="com.liferay.change.tracking.service.persis
 tence",osgi.service;objectClass:List<String>="com.liferay.change.trac
 king.service.persistence.CTMessagePersistence";uses:="com.liferay.cha
 nge.tracking.service.persistence",osgi.service;objectClass:List<Strin
 g>="com.liferay.change.tracking.service.persistence.CTPreferencesPers
 istence";uses:="com.liferay.change.tracking.service.persistence",osgi
 .service;objectClass:List<String>="com.liferay.change.tracking.servic
 e.persistence.CTProcessPersistence";uses:="com.liferay.change.trackin
 g.service.persistence",osgi.service;objectClass:List<String>="com.lif
 eray.change.tracking.service.persistence.CTSchemaVersionPersistence";
 uses:="com.liferay.change.tracking.service.persistence",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.spi.listener.CT
 EventListener";uses:="com.liferay.change.tracking.spi.listener",osgi.
 service;objectClass:List<String>="com.liferay.change.tracking.spi.ref
 erence.TableReferenceDefinition";uses:="com.liferay.change.tracking.s
 pi.reference",osgi.service;objectClass:List<String>="com.liferay.chan
 ge.tracking.spi.resolver.ConstraintResolver";uses:="com.liferay.chang
 e.tracking.spi.resolver",osgi.service;objectClass:List<String>="com.l
 iferay.portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.aop.Chainabl
 eMethodAdvice";uses:="com.liferay.portal.kernel.aop",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.change.tracking.CTCo
 llectionIdSupplier";uses:="com.liferay.portal.kernel.change.tracking"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.dao
 .orm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.orm",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.messagi
 ng.MessageBusInterceptor";uses:="com.liferay.portal.kernel.messaging"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.mod
 el.ModelListener";uses:="com.liferay.portal.kernel.model",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.search.Document
 Contributor";uses:="com.liferay.portal.kernel.search",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.security.permission
 .resource.ModelResourcePermission";uses:="com.liferay.portal.kernel.s
 ecurity.permission.resource",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.security.permission.resource.definition.Port
 letResourcePermissionDefinition";uses:="com.liferay.portal.kernel.sec
 urity.permission.resource.definition",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.service.persistence.change.tracking
 .helper.CTPersistenceHelper";uses:="com.liferay.portal.kernel.service
 .persistence.change.tracking.helper",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.search.spi.model.index.contributor.ModelDoc
 umentContributor";uses:="com.liferay.portal.search.spi.model.index.co
 ntributor",osgi.service;objectClass:List<String>="com.liferay.portal.
 search.spi.model.index.contributor.ModelIndexerWriterContributor";use
 s:="com.liferay.portal.search.spi.model.index.contributor",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.search.spi.model.quer
 y.contributor.KeywordQueryContributor";uses:="com.liferay.portal.sear
 ch.spi.model.query.contributor",osgi.service;objectClass:List<String>
 ="com.liferay.portal.search.spi.model.query.contributor.ModelPreFilte
 rContributor";uses:="com.liferay.portal.search.spi.model.query.contri
 butor",osgi.service;objectClass:List<String>="com.liferay.portal.upgr
 ade.registry.UpgradeStepRegistrator";uses:="com.liferay.portal.upgrad
 e.registry",osgi.service;objectClass:List<String>="javax.servlet.Filt
 er";uses:="javax.servlet",osgi.service;objectClass:List<String>="com.
 liferay.change.tracking.service.CTCollectionLocalService",osgi.servic
 e;objectClass:List<String>="com.liferay.change.tracking.service.CTCol
 lectionService",osgi.service;objectClass:List<String>="com.liferay.ch
 ange.tracking.service.CTCollectionTemplateLocalService",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.CTColle
 ctionTemplateService",osgi.service;objectClass:List<String>="com.life
 ray.change.tracking.service.CTCommentLocalService",osgi.service;objec
 tClass:List<String>="com.liferay.change.tracking.service.CTEntryLocal
 Service",osgi.service;objectClass:List<String>="com.liferay.change.tr
 acking.service.CTMessageLocalService",osgi.service;objectClass:List<S
 tring>="com.liferay.change.tracking.service.CTPreferencesLocalService
 ",osgi.service;objectClass:List<String>="com.liferay.change.tracking.
 service.CTPreferencesService",osgi.service;objectClass:List<String>="
 com.liferay.change.tracking.service.CTProcessLocalService",osgi.servi
 ce;objectClass:List<String>="com.liferay.change.tracking.service.CTPr
 ocessService",osgi.service;objectClass:List<String>="com.liferay.chan
 ge.tracking.service.CTSchemaVersionLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.cha
 nge.tracking.closure.CTClosureFactory)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.change.tracking.internal.CTServic
 eRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.change.tracking.internal.reference.TableReferenceDefinitionMa
 nager)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.change.tracking.service.CTCollectionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.change.tracking.se
 rvice.CTCollectionTemplateLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.change.tracking.service.CTEntryL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.change.tracking.service.CTMessageLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.change.tracking
 .service.CTPreferencesLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.change.tracking.service.CTProcessLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.change.tracking.service.CTSchemaVersionLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.change.trac
 king.service.persistence.CTAutoResolutionInfoPersistence)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.change.trackin
 g.service.persistence.CTCollectionPersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.change.tracking.service.p
 ersistence.CTCollectionTemplatePersistence)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.change.tracking.service.pers
 istence.CTCommentPersistence)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.change.tracking.service.persistence.CTEntr
 yPersistence)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.change.tracking.service.persistence.CTMessagePersistence)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.cha
 nge.tracking.service.persistence.CTPreferencesPersistence)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.change.tracki
 ng.service.persistence.CTProcessPersistence)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.change.tracking.service.per
 sistence.CTSchemaVersionPersistence)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.counter.kernel.service.CounterLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.expando.kernel.service.persistence.ExpandoColumnPersistence)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.expan
 do.kernel.service.persistence.ExpandoRowPersistence)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.expando.kernel.serv
 ice.persistence.ExpandoTablePersistence)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.expando.kernel.service.persiste
 nce.ExpandoValuePersistence)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.json.storage.service.JSONStorageEntryLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.background.task.service.BackgroundTaskLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.d
 ao.orm.custom.sql.CustomSQL)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .configuration.Configuration)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.dao.jdbc.CurrentConnection)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.dao.orm.EntityCache)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCache)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.dao.orm.SessionFactory)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .messaging.MessageBus)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.module.framework.ModuleServiceLifec
 ycle)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.scheduler.SchedulerEngineHelper)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.search.I
 ndexWriterHelper)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.search.IndexerRegistry)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.secur
 ity.permission.InlineSQLHelper)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.security.permission.resour
 ce.ModelResourcePermission)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.security.permission.resource.P
 ortletResourcePermission)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.service.ClassNameLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.CompanyLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.PortletPreferenceValueLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.PortletPreferencesLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.Relea
 seLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.ResourceLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.UserLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.permission.PortletPermiss
 ion)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.persistence.AddressPersistence)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.persistence.CompanyPersistence)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.persistence.
 ContactPersistence)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.persistence.CountryPersistence
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.service.persistence.ImagePersistence)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .persistence.ListTypePersistence)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.persistence.Orga
 nizationPersistence)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.service.persistence.PhonePersistence)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.persistence.PortalPreferenceValuePersistence)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.persistence.PortalPreferencesPersistence)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 service.persistence.PortletPersistence)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.persistenc
 e.PortletPreferenceValuePersistence)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.service.persistence.P
 ortletPreferencesPersistence)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.persistence.RegionPe
 rsistence)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.persistence.TeamPersistence)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.persistence.UserGroupGroupRolePersistence)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.persistence.UserGroupPersistence)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.persistence.Us
 erGroupRolePersistence)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.persistence.UserPersistenc
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.persistence.VirtualHostPersistence)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 util.Portal)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.search.batch.DynamicQueryBatchIndexingActionableFact
 ory)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.search.model.uid.UIDFactory)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.search.query.QueryHelper)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.search.spi.model.index.contributor.ModelIndexerWriterContributor)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.search.spi.model.registrar.ModelSearchRegistrarHelper)";effective
 :=active,osgi.service;filter:="(objectClass=javax.sql.DataSource)";ef
 fective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.componen
 t)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=J
 avaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",os
 gi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.change.tracking.internal.CTCol
 lectionIdSupplierImpl.xml,OSGI-INF/com.liferay.change.tracking.intern
 al.CTPersistenceHelperImpl.xml,OSGI-INF/com.liferay.change.tracking.i
 nternal.CTServiceRegistry.xml,OSGI-INF/com.liferay.change.tracking.in
 ternal.aop.CTTransactionAdvice.xml,OSGI-INF/com.liferay.change.tracki
 ng.internal.background.task.CTPublishBackgroundTaskExecutor.xml,OSGI-
 INF/com.liferay.change.tracking.internal.closure.CTClosureFactoryImpl
 .xml,OSGI-INF/com.liferay.change.tracking.internal.messaging.CTMessag
 eBusInterceptor.xml,OSGI-INF/com.liferay.change.tracking.internal.mes
 saging.CTMessageEventListener.xml,OSGI-INF/com.liferay.change.trackin
 g.internal.model.listener.BackgroundTaskModelListener.xml,OSGI-INF/co
 m.liferay.change.tracking.internal.model.listener.CTCollectionModelLi
 stener.xml,OSGI-INF/com.liferay.change.tracking.internal.model.listen
 er.ReleaseModelListener.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.model.listener.UserModelListener.xml,OSGI-INF/com.liferay.change
 .tracking.internal.reference.TableReferenceDefinitionManager.xml,OSGI
 -INF/com.liferay.change.tracking.internal.search.CTCollectionSearchRe
 gistrar.xml,OSGI-INF/com.liferay.change.tracking.internal.search.CTMo
 delDocumentContributor.xml,OSGI-INF/com.liferay.change.tracking.inter
 nal.search.CTProcessSearchRegistrar.xml,OSGI-INF/com.liferay.change.t
 racking.internal.search.CTSearchEventListener.xml,OSGI-INF/com.lifera
 y.change.tracking.internal.search.spi.model.index.contributor.CTColle
 ctionModelDocumentContributor.xml,OSGI-INF/com.liferay.change.trackin
 g.internal.search.spi.model.index.contributor.CTCollectionModelIndexe
 rWriterContributor.xml,OSGI-INF/com.liferay.change.tracking.internal.
 search.spi.model.index.contributor.CTProcessModelDocumentContributor.
 xml,OSGI-INF/com.liferay.change.tracking.internal.search.spi.model.in
 dex.contributor.CTProcessModelIndexerWriterContributor.xml,OSGI-INF/c
 om.liferay.change.tracking.internal.search.spi.model.query.contributo
 r.CTCollectionKeywordQueryContributor.xml,OSGI-INF/com.liferay.change
 .tracking.internal.search.spi.model.query.contributor.CTCollectionMod
 elPreFilterContributor.xml,OSGI-INF/com.liferay.change.tracking.inter
 nal.search.spi.model.query.contributor.CTModelPreFilterContributor.xm
 l,OSGI-INF/com.liferay.change.tracking.internal.search.spi.model.quer
 y.contributor.CTProcessKeywordQueryContributor.xml,OSGI-INF/com.lifer
 ay.change.tracking.internal.search.spi.model.query.contributor.CTProc
 essModelPreFilterContributor.xml,OSGI-INF/com.liferay.change.tracking
 .internal.security.permission.resource.CTCollectionModelResourcePermi
 ssion.xml,OSGI-INF/com.liferay.change.tracking.internal.security.perm
 ission.resource.CTCollectionTemplateModelResourcePermission.xml,OSGI-
 INF/com.liferay.change.tracking.internal.security.permission.resource
 .definition.ChangeListsPortletResourcePermissionDefinition.xml,OSGI-I
 NF/com.liferay.change.tracking.internal.servlet.filter.CTCollectionPr
 eviewFilter.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.ref
 erence.AddressTableReferenceDefinition.xml,OSGI-INF/com.liferay.chang
 e.tracking.internal.spi.reference.CompanyTableReferenceDefinition.xml
 ,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.ContactT
 ableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.spi.reference.CountryTableReferenceDefinition.xml,OSGI-INF/com.l
 iferay.change.tracking.internal.spi.reference.ExpandoColumnTableRefer
 enceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.
 reference.ExpandoRowTableReferenceDefinition.xml,OSGI-INF/com.liferay
 .change.tracking.internal.spi.reference.ExpandoTableTableReferenceDef
 inition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.referen
 ce.ExpandoValueTableReferenceDefinition.xml,OSGI-INF/com.liferay.chan
 ge.tracking.internal.spi.reference.ImageTableReferenceDefinition.xml,
 OSGI-INF/com.liferay.change.tracking.internal.spi.reference.ListTypeT
 ableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.spi.reference.OrganizationTableReferenceDefinition.xml,OSGI-INF/
 com.liferay.change.tracking.internal.spi.reference.PhoneTableReferenc
 eDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.ref
 erence.PortalPreferenceValueTableReferenceDefinition.xml,OSGI-INF/com
 .liferay.change.tracking.internal.spi.reference.PortalPreferencesTabl
 eReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.interna
 l.spi.reference.PortletPreferenceTableReferenceDefinition.xml,OSGI-IN
 F/com.liferay.change.tracking.internal.spi.reference.PortletPreferenc
 eValueTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracki
 ng.internal.spi.reference.PortletTableReferenceDefinition.xml,OSGI-IN
 F/com.liferay.change.tracking.internal.spi.reference.RegionTableRefer
 enceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.
 reference.TeamTableReferenceDefinition.xml,OSGI-INF/com.liferay.chang
 e.tracking.internal.spi.reference.UserGroupGroupRoleTableReferenceDef
 inition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.referen
 ce.UserGroupRoleTableReferenceDefinition.xml,OSGI-INF/com.liferay.cha
 nge.tracking.internal.spi.reference.UserGroupTableReferenceDefinition
 .xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.User
 TableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.int
 ernal.spi.reference.VirtualHostTableReferenceDefinition.xml,OSGI-INF/
 com.liferay.change.tracking.internal.spi.resolver.PortletPreferenceCo
 nstraintResolver.xml,OSGI-INF/com.liferay.change.tracking.internal.up
 grade.registry.ChangeTrackingServiceUpgradeStepRegistrator.xml,OSGI-I
 NF/com.liferay.change.tracking.service.impl.CTCollectionLocalServiceI
 mpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTCollectio
 nServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CT
 CollectionTemplateLocalServiceImpl.xml,OSGI-INF/com.liferay.change.tr
 acking.service.impl.CTCollectionTemplateServiceImpl.xml,OSGI-INF/com.
 liferay.change.tracking.service.impl.CTCommentLocalServiceImpl.xml,OS
 GI-INF/com.liferay.change.tracking.service.impl.CTEntryLocalServiceIm
 pl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTMessageLoc
 alServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.C
 TPreferencesLocalServiceImpl.xml,OSGI-INF/com.liferay.change.tracking
 .service.impl.CTPreferencesServiceImpl.xml,OSGI-INF/com.liferay.chang
 e.tracking.service.impl.CTProcessLocalServiceImpl.xml,OSGI-INF/com.li
 feray.change.tracking.service.impl.CTProcessServiceImpl.xml,OSGI-INF/
 com.liferay.change.tracking.service.impl.CTSchemaVersionLocalServiceI
 mpl.xml,OSGI-INF/com.liferay.change.tracking.service.persistence.impl
 .CTAutoResolutionInfoModelArgumentsResolver.xml,OSGI-INF/com.liferay.
 change.tracking.service.persistence.impl.CTAutoResolutionInfoPersiste
 nceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.persistence.
 impl.CTCollectionModelArgumentsResolver.xml,OSGI-INF/com.liferay.chan
 ge.tracking.service.persistence.impl.CTCollectionPersistenceImpl.xml,
 OSGI-INF/com.liferay.change.tracking.service.persistence.impl.CTColle
 ctionTemplateModelArgumentsResolver.xml,OSGI-INF/com.liferay.change.t
 racking.service.persistence.impl.CTCollectionTemplatePersistenceImpl.
 xml,OSGI-INF/com.liferay.change.tracking.service.persistence.impl.CTC
 ommentModelArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking
 .service.persistence.impl.CTCommentPersistenceImpl.xml,OSGI-INF/com.l
 iferay.change.tracking.service.persistence.impl.CTEntryModelArguments
 Resolver.xml,OSGI-INF/com.liferay.change.tracking.service.persistence
 .impl.CTEntryPersistenceImpl.xml,OSGI-INF/com.liferay.change.tracking
 .service.persistence.impl.CTMessageModelArgumentsResolver.xml,OSGI-IN
 F/com.liferay.change.tracking.service.persistence.impl.CTMessagePersi
 stenceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.persisten
 ce.impl.CTPreferencesModelArgumentsResolver.xml,OSGI-INF/com.liferay.
 change.tracking.service.persistence.impl.CTPreferencesPersistenceImpl
 .xml,OSGI-INF/com.liferay.change.tracking.service.persistence.impl.CT
 ProcessModelArgumentsResolver.xml,OSGI-INF/com.liferay.change.trackin
 g.service.persistence.impl.CTProcessPersistenceImpl.xml,OSGI-INF/com.
 liferay.change.tracking.service.persistence.impl.CTSchemaVersionModel
 ArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.pe
 rsistence.impl.CTSchemaVersionPersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

